%define upstream_name Console_Table
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name} 
Summary:	Class that makes it easy to build console style tables
Version: 	1.3.0
Release: 	%mkrel 1
License: 	PHP
Group:		Development/PHP
URL: 		http://pear.php.net/package/%{upstream_name}
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Console_Color2
BuildArch: 	noarch


BuildArch: noarch

%description
Provides methods such as addRow(), insertRow(), addCol() etc. to build
console tables with or without headers and with user defined table rules
and padding.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_Table.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Table.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Table
fi

%files
%{peardir}/*
%{xmldir}/Console_Table.xml


%changelog
* Sat Mar 12 2016 spuhler <spuhler> 1.3.0-1.mga6
+ Revision: 989664
- upgrade to vers. 1.3.0

* Tue Feb 09 2016 umeabot <umeabot> 1.2.1-2.mga6
+ Revision: 951039
- Mageia 6 Mass Rebuild

* Thu Dec 04 2014 spuhler <spuhler> 1.2.1-1.mga5
+ Revision: 801570
- upgrade to ver. 1.2.1
 * Add travis configuration
 * Try to autoload Console_Color2 first
 * Fix Composer definition syntax

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 749430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 687192
- Mageia 5 Mass Rebuild

* Sat Mar 22 2014 spuhler <spuhler> 1.2.0-3.mga5
+ Revision: 606586
- The Requires is php-pear-Console_Color2 instead of php-pear-Console_Color

* Sat Mar 22 2014 spuhler <spuhler> 1.2.0-2.mga5
+ Revision: 606566
-- added Requires: php-pear-Console_Color

* Thu Mar 13 2014 spuhler <spuhler> 1.2.0-1.mga5
+ Revision: 603164
- upgrade to ver. 1.2.0

* Tue Oct 22 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 545237
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 1.1.6-1.mga4
+ Revision: 500960
- upgrade to version 1.1.6

* Sat Jun 15 2013 spuhler <spuhler> 1.1.5-1.mga4
+ Revision: 443195
- upgrade to version 1.1.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.4-2.mga3
+ Revision: 375924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.1.4-1.mga1
+ Revision: 20708
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Console_Table


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.4-1mdv2011.0
+ Revision: 594484
- update to new version 1.1.4

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-4mdv2010.1
+ Revision: 478294
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.3-3mdv2010.0
+ Revision: 426606
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-2mdv2009.1
+ Revision: 321803
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 305782
- update to new version 1.1.3

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2009.0
+ Revision: 272582
- 1.1.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.7-3mdv2009.0
+ Revision: 224690
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2008.1
+ Revision: 178503
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdv2008.0
+ Revision: 28875
- 1.0.7

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-1mdv2008.0
+ Revision: 15643
- 1.0.6


* Sun Nov 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2007.0
+ Revision: 83320
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 81412
- Import php-pear-Console_Table

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdk
- 1.0.4

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdk
- 1.0.2

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- initial Mandriva package (PLD import)

